classification
Title: Use abc.ABC in the collections ABC
Type: enhancement Stage: resolved
Components: Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, rhettinger
Priority: low Keywords: patch

Created on 2013-10-27 21:04 by rhettinger, last changed 2019-08-25 03:16 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
abc_meta.diff rhettinger, 2013-10-27 21:04 ABC patch review
Messages (3)
msg201500 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2013-10-27 21:04
Minor clean-up to the collections ABCs.  Use the Django style that inherits the metaclass rather than specifying the metaclass directly.

The rationale is that it makes the ABCs cleaner looking and less intimidating.
msg205324 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-12-05 22:27
Agreed.
msg350423 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-08-25 03:16
This was done a long time ago.
History
Date User Action Args
2019-08-25 03:16:59rhettingersetstatus: open -> closed
resolution: out of date
messages: + msg350423

stage: resolved
2013-12-05 22:27:10eric.araujosetnosy: + eric.araujo

messages: + msg205324
versions: + Python 3.5, - Python 3.4
2013-10-27 21:04:56rhettingercreate